## symbiosis-httpd-logger 0.3

=== Makefile ===

#
# Not sure this is the correct variable to use, but it appears to give the
# right name!
#
DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -q DEB_BUILD_GNU_TYPE)

all: obj-$(DEB_BUILD_GNU_TYPE)/bin/symbiosis-httpd-logger

clean:
	$(RM) -r obj-$(DEB_BUILD_GNU_TYPE)

#
# Make sure the binary has built before running the test
#
test: obj-$(DEB_BUILD_GNU_TYPE)/bin/symbiosis-httpd-logger
	ruby -I ../common/lib/ test/tc_apache_logger.rb

#
# The dh-golang stuff seems to put the binary in obj-$DEB_BUILD_GNU_TYPE/bin
#
obj-$(DEB_BUILD_GNU_TYPE)/bin/%: %.go
	mkdir -p ${DEB_BUILD_GNU_TYPE}/bin
	go build -o $@ $<

.PHONY: test clean all

=== debian/changelog ===
symbiosis-httpd-logger (0.3) stable; urgency=medium

  * Mask out non-permissions bits from file mode inherited from directory
    (thanks to @banburybill).

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 19 Apr 2017 10:43:19 +0100

symbiosis-httpd-logger (0.2) stable; urgency=medium

  * Non-maintainer upload.
  * The sync flag is now obeyed (closes #44).
  * Now creates log files with correct owner (closes #41).
  * Fixed double logging to the default and per-host logs (closes #45).
  * Verbose logging normalised.
  * Debian packaging tidied simplified.
  * Fixed up dpkg-divert to work properly.
  * UID/GID for logs is always inherited from the log directory.
  * Added stricter regex for log lines.
  * Added prefix flag for testing.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 22 Nov 2016 12:06:58 +0000

symbiosis-httpd-logger (0.1) unstable; urgency=low

  * Initial release.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 06 Apr 2016 17:22:17 +0000

=== debian/control ===
Source: symbiosis-httpd-logger
Section: web
Priority: extra
Maintainer: Steve Kemp <steve@bytemark.co.uk>
Build-Depends: debhelper (>=9), dh-golang, golang-go (>= 1.5.1)
Standards-Version: 3.9.4

Package: symbiosis-httpd-logger
Depends: ${misc:Depends}
Architecture: any
Description: golang based httpd logging process for Symbiosis.
 This package replaces the original/default ruby-based logging process
 which is executed by the http daemon, with the intention of saving RAM.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG := symbiosis-httpd-logger

%:
	dh $@ --buildsystem=golang --with=golang

#
# It would be nice to test as part of the build, but that required installing
# symbiosis-common.
#
# override_dh_auto_test:
#	make test

## symbiosis-httpd-logger 0.3.1

=== debian/changelog ===
symbiosis-httpd-logger (0.3.1) stable; urgency=medium

  * Updated copyright and dh compatibility.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 24 Apr 2017 15:39:11 +0100
